* {
    box-sizing: border-box;
}

body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 20px;
    background-color: #f4f4f4;
}

.grid {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 10px;
}

.grid-item {
    background-color: #fff;
    border-radius: 8px;
    overflow: hidden;
    box-shadow: 0 2px 5px rgba(0,0,0,0.1);


 display: flex;
  justify-content: center; /* горизонтальное центрирование */
  align-items: center;     /* вертикальное центрирование */

}

.grid-item img {
    width: 70%;
    height: auto;
    display: block;

    
}


.grid-item:hover {
    transform: scale(1.15);
    box-shadow: 0 8px 20px rgba(0,0,0,0.2);
     transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.grid-item:hover {
    opacity: 1;
}




.icons-wrapper a {
  margin-right: 20px; /* Отступ справа между иконками */
}

.icons-wrapper a:last-child {
  margin-right: 0; /* Убираем отступ у последней иконки */
}

.block_soc {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-around;
}



.btn-up {
  position: fixed;
  background-color: #b88041;
  left: 20px;
  bottom: 0px;
  border-top-left-radius: 8px;
  border-top-right-radius: 8px;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 60px;
  height: 50px;
}
.btn-up::before {
  content: "";
  width: 40px;
  height: 40px;
  background: transparent no-repeat center center;
  background-size: 100% 100%;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='%23fff' viewBox='0 0 16 16'%3E%3Cpath fill-rule='evenodd' d='M7.646 4.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1-.708.708L8 5.707l-5.646 5.647a.5.5 0 0 1-.708-.708l6-6z'/%3E%3C/svg%3E");
}
.btn-up_hide {
  display: none;
}


/* Адаптация для планшетов */
@media (max-width: 1024px) {
    .grid {
        grid-template-columns: repeat(6, 1fr);
    }
}

/* Адаптация для мобильных */
@media (max-width: 600px) {
    .grid {
        grid-template-columns: repeat(4, 1fr);
    }
 
}